Name: fglrx_glx
Version: 3.2.8
Release: alt1
Summary: ATI drivers for Radeon and Fire GL
Group: System/Kernel and hardware

URL: http://www.ati.com/
License: Proprietary


Provides: libGL


Source: fglrx-userspace-%{version}.tar.bz2

%define xlibdir /usr/X11R6/lib
%define drvs /modules/drivers
%define dris /modules/dri
%define lnxs /modules/linux

Requires: XFree86-server >= 4.3.0

%description 
Proprietary ATI drivers for Radeon and Fire GL cards.

%prep
%setup -q -n fglrx-userspace-%{version}

%build
%install
%set_strip_method none

%__mkdir_p %buildroot/%xlibdir/%drvs
%__mkdir_p %buildroot/%xlibdir/%dris
%__mkdir_p %buildroot/%xlibdir/%lnxs

%__install usr/X11R6/lib/%drvs/fglrx_drv.o  %buildroot/%xlibdir/%drvs/
%__install usr/X11R6/lib/%dris/fglrx_dri.so  %buildroot/%xlibdir/%dris/
%__install usr/X11R6/lib/%lnxs/libfglrxdrm.a  %buildroot/%xlibdir/%lnxs/

%__install usr/X11R6/lib/libGL.so.1.2 %buildroot/%xlibdir/libGL.so.fglrx
%__install usr/X11R6/lib/*gamma* %buildroot/%xlibdir/

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr (0555, root, root)
%xlibdir/%drvs/*
%xlibdir/%lnxs/*
%xlibdir/%dris/*
%xlibdir/libGL.so.fglrx
%xlibdir/*gamma*

%changelog
* Sun Oct 12 2003 Sergey Vlasov <vsu@altlinux.ru> 3.2.8-alt1
- new version (3.2.8)

* Tue Sep 09 2003 Rider <rider@altlinux.ru> 3.2.5-alt1
- new version

* Wed Jul 16 2003 Peter Novodvorsky <nidd@altlinux.com> 2.9.12-alt1
- initial release.

